Subject: bug#62792: Emacs 29.0.90 build fails

From: Tak Ota <[email-masked]>
Date: Wed, 12 Apr 2023 11:48:48 -0700

I am curious. What is the reason the next was added to w32.c?

#if _WIN32_WINNT < 0x0501
typedef struct
{
  DWORD nFont;
  COORD dwFontSize;
} CONSOLE_FONT_INFO;
#endif

This was not in the previous emacs source w32.c.

-Tak

On Wed, Apr 12, 2023 at 11:36 AM Tak Ota <[email-masked]> wrote:

> Hi Corwin,
>
> ota@Tak-Dell-XPS15 /c/d/pub/emacs/emacs-29.0.90
> $ uname -a
> MINGW32_NT-6.2 TAK-DELL-XPS15 1.0.19(0.48/3/2) 2016-07-13 17:45 i686 Msys
>
> On Wed, Apr 12, 2023 at 9:36 AM Corwin Brust <[email-masked]> wrote:
>
>> Hi Tak,
>>
>> On Wed, Apr 12, 2023 at 11:18 AM Tak Ota <[email-masked]> wrote:
>> >
>> > This is what I saw.
>>
>> Thanks for the error message detail.  Unfortunately, I'm still not
>> able to reproduce this error.  I'm building the emacs-29 branch under
>> MINGW32, in case that might be it. (It has been several days since I
>> tried x32 build.)
>>
>> Are you building from a git checkout or starting from the 29.0.90
>> source archive?
>>
>> Can you share the output from running "uname -a" in the shell where
>> you are building?  Here's mine, for reference:
>>
>>   MINGW64_NT-10.0-19043 Avalon 3.3.4-341.x86_64 2022-02-15 17:24 UTC
>> x86_64 Msys
>>
>> Finally, can you answer Eli's question below?
>>
>> >>
>> >> Also, which flavor of MinGW and which version are you using?  The
>> >> above should be only visible with _WIN32_WINNT that is smaller than
>> >> 0x0501, which should not happen with latest MinGW64.  And looking at
>> >> the latest MinGW64 headers, I see the definition of CONSOLE_FONT_INFO
>> >> structure there that is identical to the above, so how can it
>> >> conflict?
>>
>> Thanks for reporting!
>>
>